Retrieve a transaction

This API is a request to retrieve details of a transaction associated with a wallet. If the transaction type is send, you can retrieve transaction details using either sequenceId or txId. If the transaction type is receive, you can retrieve transaction details using only txId. See API use cases for more information.

If the transaction type is send, you can retrieve transaction details using either sequenceId or txId. If the transaction type is receive, you can retrieve transaction details using only txId. See API use cases for more information.

The following values are sliced to the decimal points:

  • value (8 decimal),
  • baseValue (8 decimal),
  • valueString (8 decimal),
  • baseValueString (8 decimal),
  • feeString (8 decimal), and
  • usd (5 decimal).

API use cases

The use cases of this API are as follows:

Retrieve a transaction usingsequenceId

Use the following request body to retrieve the outgoing (send) transaction details using sequenceId.

{
    "wallet":{
        "coin": "eth",
        "walletId":3520
    },
    "sequenceId":"93544241-c00e-c754-3bd0-494567a67ee8"
}

Retrieve a transaction using txId

Use the following request body to retrieve any of the outgoing (send) and incoming (receive) transaction details, using txId.

{
    "wallet":{
        "coin": "eth",
        "walletId":1
    },
    "txId":"0x992ea09580d5c3c18cde5092dc96c9564c4945b42dafc1eba3f67b72b99f2efb"
}
Body Params
wallet
object
required
string

This is the unique identifier (ID) of the transaction, automatically generated by the system for tracking purposes.

string

Input the unique identifier associated with a specific transaction.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; charset=utf-8